<!-- 
function goForCommentAction(groupType,objectId,groupId)
{
    if(typeof(scrollToCommentArea)=='function'){
        scrollToCommentArea();
    }
    if(typeof(loadCommentControlSetting)=='function'){
        loadCommentControlSetting(groupType,objectId,groupId);
    }
}
function goForReplyAction(commentId)
{
    if(commentId==null || commentId=='' || commentId<=0){
        return;
    }
    if(typeof(scrollToCommentArea)=='function'){
        scrollToCommentArea();
    }
    if(typeof(loadReplyControlSetting)=='function'){
        loadReplyControlSetting(commentId);
    }
}
function checkIsLabel(obj)
{
     var isLabel= obj!=null ? obj.getAttribute('isLabel') : '';        
     if(isLabel!=null) isLabel=isLabel.toLowerCase();
     var hasLoaded= obj!=null ? obj.getAttribute('hasLoaded') : '';   
     if(hasLoaded!=null) hasLoaded=hasLoaded.toLowerCase();
     return (isLabel=='true' || isLabel==true) && hasLoaded!='true';
}
function docLabels(name)
{
    var labels=document.getElementsByTagName('div');  
    var retLabels = new Array();
    if(labels!=null && labels.length>0)
    {        
        for(var index=0; index<labels.length; index++)
        {
            if(checkIsLabel(labels[index])==true && labels[index].getAttribute('name')==name){       
                retLabels.push(labels[index]);
            }            
        }        
    }    
    return retLabels;
}
function docAllLabels(display)
{
    var labels=document.getElementsByTagName('div');  
    var retLabels = new Array();
    if(labels!=null && labels.length>0)
    {        
        for(var index=0; index<labels.length; index++)
        {            
            if(checkIsLabel(labels[index])==true){      
                var type    = labels[index].getAttribute('displayType');
                if(type!=null && type.toLowerCase()==display.toLowerCase()){
                    retLabels.push(labels[index]);
                }
            }            
        }        
    }    
    return retLabels;
}
var objLoaddingImage=false;
function setLabelLodding(obj)
{
    if(!objLoaddingImage){
        objLoaddingImage=new Image();
        objLoaddingImage.src='/CustomAction/Images/loadding.gif';
        objLoaddingImage.alt='Loading...';
        objLoaddingImage.title='Loading...';
        objLoaddingImage.style.display='block';
    }
    if(obj!=null){
       obj.innerHTML='';           
       obj.style.display='';  
       obj.appendChild(objLoaddingImage);      
    }
}
function GetLabelValues(display,parameters)
{
    var labels=docAllLabels(display);
    var labelIDs='|';

    if(labels!=null && labels.length>0)
    {     
        var r=/(?!=\?|&)(page=[\d]*)/i; 
        var urlParams=location.href.match(r);
        var param = (urlParams!=null && urlParams.length>0) ? urlParams[0].toLowerCase() : null; 
        var ajaxUrl= ajaxFileURL + '?action=getlabel' + (param==null ? '' : '&' + param) + (parameters==null ? '' : '&' + parameters) + '&id=';
       
        for(var index=0; index<labels.length; index++)
        {  
            setLabelLodding(labels[index]);
        }
        for(var index=0; index<labels.length; index++)
        {         
            var id      = labels[index].getAttribute('labelID')||0;
            var bid     = labels[index].getAttribute('brandID')||0; 
            var cid     = labels[index].getAttribute('classID')||0;
            var mid     = labels[index].getAttribute('menuID')||0;
            var lanid   = labels[index].getAttribute('languageID')||0;
            var comid   = labels[index].getAttribute('commentID')||0;   
            var objid   = labels[index].getAttribute('objectID')||0;            
            var objtype   = labels[index].getAttribute('objectType')||'';
                        
            if(id!=null && id>0 && labelIDs.indexOf('|' + id + '|')==-1)
            {
                labelIDs = labelIDs + id + '|';     
                var tempUrl  = ajaxUrl + id;
                    tempUrl += '&bid=' + (bid != null ? bid : '');   
                    tempUrl += '&cid=' + (cid != null ? cid : '');                
                    tempUrl += '&mid=' + (mid != null ? mid : '');
                    tempUrl += '&lanid=' + (lanid != null ? lanid : '');    
                    tempUrl += '&comid=' + (comid != null ? comid : '');     
                    tempUrl += '&objid=' + (objid != null ? objid : '');
                    tempUrl += '&objtype=' + (objtype != null ? objtype : '');    
                    
                DoAjax(tempUrl,"GET",null,setLabelValues,labels[index].getAttribute('name'));
            }else{
                labels[index].style.display='none';
            }  
        }
    }
}
function GetSearchValues(display,parameters)
{
    var labels=docAllLabels(display);
    var labelIDs='|';

    if(labels!=null && labels.length>0)
    {       
        var urlParams=location.href.match(/(?!=\?|&)(page=[\d]*)/i);              
        var param = (urlParams!=null && urlParams.length>0) ? urlParams[0].toLowerCase() : null; 
        var ajaxUrl= ajaxFileURL + '?action=getlabel' + (param==null ? '' : '&' + param);
        if(parameters==null || parameters=='')
        { 
            var sm=location.href.match(/(?!=\?|&)(sm=[^=&?,]*)/i); 
            var kt=location.href.match(/(?!=\?|&)(kt=[^=&?,]*)/i);        
            var kw=location.href.match(/(?!=\?|&)(kw=[^=&?]*)/i);  
            var mid=location.href.match(/(?!=\?|&)(mid=[\d]*)/i); 
            ajaxUrl += (sm!=null && sm.length>0) ? '&' + sm[0] : '';  
            ajaxUrl += (kt!=null && kt.length>0) ? '&' + kt[0] : '';  
            ajaxUrl += (kw!=null && kw.length>0) ? '&' + kw[0] : '';  
            ajaxUrl += (mid!=null && mid.length>0) ? '&' + mid[0] : '';
        }
        else
        {
            ajaxUrl += '&' + parameters;
        }
        ajaxUrl += '&id=';
       
        for(var index=0; index<labels.length; index++)
        {    
            setLabelLodding(labels[index]);
        }
        for(var index=0; index<labels.length; index++)
        {       
            var id      = labels[index].getAttribute('labelID');           
            var lanid   = labels[index].getAttribute('languageID');
            
            if(id!=null && id>0 && labelIDs.indexOf('|' + id + '|')==-1)
            {
                labelIDs = labelIDs + id + '|';     
                var tempUrl  = ajaxUrl + id;                      
                tempUrl += '&lanid=' + (lanid != null ? lanid : '');        
                        
                DoAjax(tempUrl,"GET",null,setLabelValues,labels[index].getAttribute('name'));
            }else{
                labels[index].style.display='none';
            }            
        }
    }
}
function setLabelValues(xmlHttp,name)
{
    var labels=docLabels(name);    
    if(labels!=null && labels.length>0)
    {     
        var xmlDoc=xmlHttp.responseXML || xmlHttp.responseXML.documentElement;       
        if(xmlDoc!=null)
        {               
            var labelDoc=xmlDoc.getElementsByTagName('JLabel');  
            if(labelDoc!=null && labelDoc.length==1)
            {                                    
                var code=getNodeValue(xmlDoc,'Code');                           
                for(var index=0; index<labels.length; index++)
                {   
                    if(checkIsLabel(labels[index])){     
                       setObjHTML(labels[index],code);                       
                       labels[index].setAttribute('hasLoaded',"true");                                              
                    }
                }
                var slider=getNodeValue(xmlDoc,'PageSlider');
                if(slider!=null && (slider=='true' || slider==true)){                                 
                    var pcount=getNodeValue(xmlDoc,'PageCount');
                    var rcount=getNodeValue(xmlDoc,'RecordCount');
                    var kt=location.href.match(/(?!=\?|&)(kt=[^=&?,]*)/i);        
                    var kw=location.href.match(/(?!=\?|&)(kw=[^=&?]*)/i);  
                    var mid=location.href.match(/(?!=\?|&)(mid=[\d]*)/i);                    
                    var params= 'pcount=' + (pcount!=null ? pcount : 0) + '&rcount=' + (rcount!=null ?  rcount : 0);
                    params += (kt!=null && kt.length>0) ? '&' + kt[0] : '';  
                    params += (kw!=null && kw.length>0) ? '&' + kw[0] : '';  
                    params += (mid!=null && mid.length>0) ? '&' + mid[0] : '';  
                    GetLabelValues('pageslider',params);
                }
            }
        }else{
            for(var index=0; index<labels.length; index++)
            {   
                if(checkIsLabel(labels[index])){     
                    labels[index].style.display='none';
                }
            }            
        }
    }
}
-->
